
Infrastructure - Task #2094

Feature # 1764 (Closed): Finalize dataoneTypes schema for public release

need ChecksumAlgorithmList datatype for getChecksumAlgorithms() method

2011-12-06 05:18 - Rob Nahf

Status: Closed Start date: 2011-12-06

Priority: Normal Due date:  

Assignee: Chris Jones % Done: 100%

Category: d1_schemas Estimated time: 0.00 hour

Target version: Sprint-2011.51-Block.6   

Milestone: CCI-1.0.0 Story Points:  

Product Version: *   

Description

this is a method in the v1 documentation that can't be implemented until the return type is defined.

Related issues:

Related to Infrastructure - Task #2089: CNCore.listChecksumAlgorithms() - 500 Closed 2011-12-05

Related to Infrastructure - Task #2024: consider renaming getChecksumAlgorith... Closed 2011-11-14

History

#1 - 2011-12-12 15:31 - Dave Vieglais

- Assignee changed from Matthew Jones to Chris Jones

- Target version changed from Sprint-2011.49-Block.6 to Sprint-2011.50-Block.6

Decision was to create a new type:

ChecksumAlgorithmList

as an unbounded list of ChecksumAlgorithm types. minOccurs = 1

and a new root element to support serialization:

checksumAlgorithmList

#2 - 2011-12-12 22:38 - Chris Jones

- Status changed from New to Closed

ChecksumAlgorithmList is a new type, and has a root element in the schema.
